unit uDM;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, kbmMemTable;

type
  TDM = class(TDataModule)
    dsCustomer: TDataSource;
    dsProduct: TDataSource;
    dsCommand: TDataSource;
    dsCommandLigne: TDataSource;
    tbCustomer: TkbmMemTable;
    tbProduct: TkbmMemTable;
    tbCommand: TkbmMemTable;
    tbCommandLigne: TkbmMemTable;
    tbCustomerIDCustomer: TAutoIncField;
    tbCustomerLastName: TStringField;
    tbCustomerFirstName: TStringField;
    tbCustomerCompany: TStringField;
    tbCustomerStatus: TStringField;
    tbCustomerEmail: TStringField;
    tbCustomerAddress1: TStringField;
    tbCustomerAddress2: TStringField;
    tbCustomerCity: TStringField;
    tbCustomerState: TStringField;
    tbCustomerZip: TStringField;
    tbCustomerCountry: TStringField;
    tbCustomerPhone: TStringField;
    tbCustomerFax: TStringField;
    tbCustomerComments: TStringField;
    tbProductIDProduct: TAutoIncField;
    tbProductProdName: TStringField;
    tbProductProdCategory: TStringField;
    tbProductProdPrice: TCurrencyField;
    tbCommandIDCommand: TAutoIncField;
    tbCommandIDCustomer: TIntegerField;
    tbCommandLigneIDlcCommand: TIntegerField;
    tbCommandLigneIDlcComLigne: TAutoIncField;
    tbCommandLigneIDProduct: TIntegerField;
    tbCommandLigneQuantity: TSmallintField;
    tbCommandLignePrice: TCurrencyField;
    tbLigneByCommand: TkbmMemTable;
    dsLigneByCommand: TDataSource;
    tbCommandLastName: TStringField;
    tbCommandLigneProdName: TStringField;

    procedure DMCreate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  DM: TDM;

implementation

uses uConst;


{$R *.DFM}

procedure TDM.DMCreate(Sender: TObject);
begin

  tbCustomer.DisableControls;
  tbProduct.DisableControls;
  tbCommand.DisableControls;
  tbCommandLigne.DisableControls;

  tbCustomer.Open;
  tbProduct.Open;
  tbCommand.Open;
  tbCommandLigne.Open;

  tbCustomer.EnableControls;
  tbProduct.EnableControls;
  tbCommand.EnableControls;
  tbCommandLigne.EnableControls;

end;

end.

